# RPS Settings

## Get RPS Settings

> Retrieve the RPS configuration for a terminal, including whether recurring payments are enabled.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/rps":{"get":{"tags":["RPS Settings"],"summary":"Get RPS Settings","description":"Retrieve the RPS configuration for a terminal, including whether recurring payments are enabled.","operationId":"getSettings_2","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"RpsSettingsPayload":{"type":"object","properties":{"rps-settings":{"$ref":"#/components/schemas/rps-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Contains the response data for the terminal's RPS configuration.","xml":{"name":"payload"}},"rps-settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether the Recurring Payment Service (RPS) is enabled for the terminal.","enum":[true,false]}},"description":"Contains Recurring Payment Service configuration for the terminal.","xml":{"name":"rps-settings"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Create RPS Settings

> Create the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/rps":{"post":{"tags":["RPS Settings"],"summary":"Create RPS Settings","description":"Create the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.","operationId":"createSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rps-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"rps-settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether the Recurring Payment Service (RPS) is enabled for the terminal.","enum":[true,false]}},"description":"Contains Recurring Payment Service configuration for the terminal.","xml":{"name":"rps-settings"}},"RpsSettingsPayload":{"type":"object","properties":{"rps-settings":{"$ref":"#/components/schemas/rps-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Contains the response data for the terminal's RPS configuration.","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Update RPS Settings

> Update the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/rps":{"put":{"tags":["RPS Settings"],"summary":"Update RPS Settings","description":"Update the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.","operationId":"updateSettings_1","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rps-settings"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RpsSettingsPayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"rps-settings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Indicates whether the Recurring Payment Service (RPS) is enabled for the terminal.","enum":[true,false]}},"description":"Contains Recurring Payment Service configuration for the terminal.","xml":{"name":"rps-settings"}},"RpsSettingsPayload":{"type":"object","properties":{"rps-settings":{"$ref":"#/components/schemas/rps-settings"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Contains the response data for the terminal's RPS configuration.","xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```
